Bug 71782 - OO does not install zh-TW and zh-CN translations
OO does not install zh-TW and zh-CN translations
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: openoffice.org (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
:
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-08-19 00:24 EDT by Leon Ho
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-28 09:14:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leon Ho 2002-08-19 00:24:02 EDT
Description of Problem:
OO does not install zh-TW and zh-CN translations even though Supported Language
include "Chinese (Taiwan)" and "Chinese (China)" in anaconda installation

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. LANG=zh_TW ooffice or LANG=zh_CN ooffice

Actual Results:
translation not found

Expected Results:
shows translations

Additional Information:
Also it hasn't got the symlink /usr/lib/openoffice/help/zh-{CN,TW} -> en. I have
ln -s them manually to skip the check in ooffice wrapper script.
Comment 1 Jakub Jelinek 2002-08-19 04:02:44 EDT
Is it with openoffice-1.0.1-4?
Are you sure you had zh among %_install_langs before installing openoffice?
rpm -qpvl openoffice-1.0.1-4.i386.rpm openoffice-i18n-1.0.1-4.i386.rpm | grep 'zh\|8[68]\.res' | less
shows the two zh_CN -> en and zh_TW -> en symlinks and whole lot of Chinesse
resource files...
Comment 2 Leon Ho 2002-08-19 04:32:03 EDT
I think I found the problem: the %lang uses zh-TW and zh-CN instead of the
locale name zh_TW and zh_CN. If we s/-/_/ before pass $langiso to %lang to
create filelist then the problem should be solved.
Comment 3 Jakub Jelinek 2002-08-19 07:00:27 EDT
Shouldn't both simplified and traditional chinesse files be all %lang(zh) instead?
That's what e.g. %find_langs does...
Comment 4 Leon Ho 2002-08-19 21:28:12 EDT
Okay. Please use %lang(zh) for both trad and simpl chinese for now.
Comment 5 Jakub Jelinek 2002-08-26 07:08:53 EDT
Should be fixed in openoffice-1.0.1-5, please check it out.
Comment 6 Jay Turner 2002-08-28 09:14:31 EDT
OK, running with openoffice-1.0.1-5, things are looking pretty good with these
two locales.  I am still seeing one oddity with both locales though. 
Translations were appearing in the application itself, but the menu bars were
display funny characters (squares with numbers in them)  Is this a bug, or just
a side-effect of me running on a system which might not have the locale support
correct configured?
llch, you might want to take a look and confirm that things are as they should be.
Comment 7 Leon Ho 2002-08-29 00:55:22 EDT
AFAIS latest tree in here, it is fixed and I can able to display the menus in Chinese  
if I enabled TC/SC lang support (ie. have all ttfonts-zh* pkgs)

Note You need to log in before you can comment on or make changes to this bug.